%global momorel 1
Summary: An open-source, patent-free speech codec
Name: speex
Version: 1.0.5
Release: %{momorel}m
License: BSD
Group: System Environment/Libraries
%NoSource 0 http://www.speex.org/download/%{name}-%{version}.tar.gz 01d6a2de0a88a861304bf517615dea79
URL: http://www.speex.org/
BuildRoot: /var/tmp/%{name}-%{version}-root
BuildPrereq: libogg-devel
Patch1: speex.m4.patch

%description
Speex is a patent-free audio codec designed especially for voice (unlike 
Vorbis which targets general audio) signals and providing good narrowband 
and wideband quality. This project aims to be complementary to the Vorbis
codec.

%package devel
Summary:	Speex development files
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Speex development files.

%prep
%setup -q
%patch1 -p0 -b .m4~

%build
#libtoolize -c -f
#aclocal
#autoconf
#%%configure
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --with-ogg-libraries=%{_libdir}
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}/usr/share/doc/manual.pdf

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog NEWS README
%doc doc/manual.pdf
%{_bindir}/speex*
%{_libdir}/libspeex*.so.*
%{_mandir}/man1/speex*.1*

%files devel
%defattr(-,root,root)
%{_libdir}/libspeex*.la
%{_libdir}/libspeex*.so
%{_libdir}/libspeex*.a
%{_includedir}/speex*.h
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/speex.m4

%changelog
* Thu May  4 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0.5-1m)
- version up

* Fri May 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.4-3m)
- suppress AC_DEFUN warning.

* Mon Jan 24 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.0.4-2m)
- enable x86_64. 

* Sat Nov 27 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.0.4-1m)
- update to 1.0.4

* Sat Aug 21 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.0-1m)
  update to 1.0

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0rc2-3m)
- revised spec for rpm 4.2.

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0rc2-2m)
- s/Copyright:/License:/

* Wed Feb 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.0rc2-1m)
- version 1.0rc2

* Thu Oct 03 2002 Jean-Marc Valin 
- Added devel package inspired from PLD spec file

* Tue Jul 30 2002 Fredrik Rambris <boost@users.sourceforge.net> 0.5.2
- Added buildroot and docdir and ldconfig. Makes it builadble by non-roots
  and also doesn't write to actual library paths when building.
